        PAGE    58,132                  ;Set page for HPLaserJet
;=====================================================================
; Title: Curson
; Date: 3/14/1988
; Written by: Lloyd C. Bowen Jr.
; Written for: Use
; Purpose: Restore cursor hidden by CursOff.
;=====================================================================
; set title and instruction set
; NOTE that 8086 is the minimum (see the reference manual for 80286)
        TITLE   CursOn  (COM)   
        .8086
;=====================================================================
CODESG          SEGMENT PARA    'Code'
                ASSUME  CS:CODESG
                ORG     100H
CURSON          PROC    FAR
BEGIN:  
                PUSH    DS
                XOR     AX,AX
                PUSH    AX                      ;set for return to dos
                MOV     AH,3                    ;read cursor position
                XOR     BH,BH                   ;for page 0
                INT     10H                     ;video interupt
                MOV     AH,1                    ;set cursor type function
                AND     CH,223                  ;bit 5 off turns cursor on
                INT     10H                     ;video interupt
                RET                             ;return to dos
CURSON          ENDP                            ;end of procedure
;
CODESG          ENDS                            ;end of segment
                END     BEGIN                   ;end of program

